;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;   Custom TOOLBAR  STARTS
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Define buttons
(setq mp::toolbar-icon-upcase
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/upcase.xpm")))

(setq mp::toolbar-icon-lowercase
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/lowcase.xpm")))

(setq mp::toolbar-icon-macrob
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/macrob.xpm")))

(setq mp::toolbar-icon-macroe
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/macroe.xpm")))

(setq mp::toolbar-icon-macroc
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/macroc.xpm")))

(setq mp::toolbar-icon-splitv
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/splitv.xpm")))

(setq mp::toolbar-icon-splith
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/splith.xpm")))

(setq mp::toolbar-icon-keepthis
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/keepthis.xpm")))

(setq mp::toolbar-icon-keepother
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/keepother.xpm")))

(setq mp::toolbar-icon-killbuff
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/killbuff.xpm")))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Define toolbar
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq mp::toolbar
  (if (featurep 'toolbar)
      '(
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; [mp::toolbar-icon-splitv
;           split-window-vertically
;            t
;           "Split vertically"]
;        
;[mp::toolbar-icon-splith
;         split-window-horizontally
;         t
;         "Split horizontally"]
;        
;[mp::toolbar-icon-keepthis
;         delete-other-windows
;         t
;         "Unsplit (keep this)"]
;          
; [mp::toolbar-icon-keepother
;         delete-window
;         t
;         "Unsplit (keep others)"]
;
; [mp::toolbar-icon-killbuff
;         kill-this-buffer
;         t
;         "Kill buffer"]
;
;  [:style 3D :size 5] 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;    Uncomment the above part if you have problem 
;;     accomodating them in the top toolbar
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;[mp::toolbar-icon-upcase
;           upcase-region
;            t
 ;          "Make uppercase"]
        
;[mp::toolbar-icon-lowercase
;         downcase-region
;         t
;         "Make lowercase"]
        
;  [:style 3D :size 35] 

[mp::toolbar-icon-macrob
         start-kbd-macro
         t
         "Start Macro"]
           
[mp::toolbar-icon-macroe
         end-kbd-macro
         t
         "End Macro"]

 [mp::toolbar-icon-macroc
         call-last-kbd-macro
         t
         "Call Macro"]

  [:style 3D :size 225]

 [mp::toolbar-icon-killbuff
         kill-this-buffer
         t
         "Kill buffer"]

       )))
; Install toolbar

(setq width  (+ 4 (glyph-width (car mp::toolbar-icon-macrob))))
(setq height (+ 4 (glyph-height (car mp::toolbar-icon-macrob))))
(setq mp-toolbar-orientation 'left) ; Position: top, bottom, left, right
(setq locale 'global)

(cond 
      ;((eq mp-toolbar-orientation 'right)
      ;(setq mp-toolbar-specifier right-toolbar)
      ;(set-specifier right-toolbar (cons locale mp::toolbar))
      ;(set-specifier right-toolbar-width (cons (selected-frame) width)))
      ((eq mp-toolbar-orientation 'left)
       (setq mp-toolbar-specifier left-toolbar)
       (set-specifier left-toolbar (cons locale mp::toolbar))
       (set-specifier left-toolbar-width (cons (selected-frame) width)))
     )
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;   Custom TOOLBAR ENDS
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;