(setq edit-toolbar-added-buttons-alist 
  '(
     (edit-toolbar-button19100 "~/.xemacs/icons/splitv.xpm") 
     (edit-toolbar-button19101 "~/.xemacs/icons/splith.xpm") 
     (edit-toolbar-button19102 "~/.xemacs/icons/keepthis.xpm") 
     (edit-toolbar-button19103 "~/.xemacs/icons/keepother.xpm") 
     (edit-toolbar-button19104 "~/.xemacs/icons/killbuff.xpm")
     (edit-toolbar-button19105 "~/.xemacs/icons/upcase.xpm") 
     (edit-toolbar-button19106 "~/.xemacs/icons/lowcase.xpm") 
     (edit-toolbar-button19107 "~/.xemacs/icons/goto.xpm")
    )
)
(mapcar
  (lambda (cons)
         (setf (symbol-value (car cons)) (toolbar-make-button-list (cdr cons)))
      )
 edit-toolbar-added-buttons-alist)
(set-specifier default-toolbar 
 '(
  [toolbar-file-icon toolbar-open t "Open a file"] 
  [toolbar-disk-icon toolbar-save t "Save buffer"]
  [:style 3D :size 3] 
  [toolbar-cut-icon toolbar-cut t "Kill region"] 
 [toolbar-copy-icon toolbar-copy t "Copy region"] 
 [toolbar-paste-icon toolbar-paste t "Paste from clipboard"] 
  [:style 3D :size 3] 
  [toolbar-undo-icon toolbar-undo t "Undo edit"]
  [:style 3D :size 5]
  [edit-toolbar-button19105 upcase-region t "Make uppercase"]
  [edit-toolbar-button19106 downcase-region t "Make lowercase"]
  [edit-toolbar-button19107 goto-line t "Go to line ..."]
 [toolbar-replace-icon toolbar-replace t "Search & Replace"]
  [toolbar-spell-icon toolbar-ispell t "Check spelling"]
  [:style 3D :size 3]
  [edit-toolbar-button19100 split-window-vertically t "Split vertically"]
  [edit-toolbar-button19101 split-window-horizontally t "Split horizontally"]
  [edit-toolbar-button19102 delete-other-windows t "Unsplit (keep this)"]
  [edit-toolbar-button19103 delete-window t "Unsplit (keep other)"]
  [edit-toolbar-button19104 kill-this-buffer t "Kill this buffer"]
  nil
  [toolbar-mail-icon toolbar-mail t "Read mail"]
  [:style 3D :size 3]
  [toolbar-info-icon toolbar-info t "Info documentation"]
 ; [toolbar-compile-icon toolbar-compile t "Start a compilation"]
 ; [toolbar-debug-icon toolbar-debug t "Start a debugger"]
 ; [toolbar-news-icon toolbar-news t "Read news"]
 ; [toolbar-folder-icon toolbar-dired t "Edit a directory"]
;  [toolbar-printer-icon toolbar-print t "Print buffer"]
))