;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;   Custom TOOLBAR  STARTS
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Define buttons
(setq mq::toolbar-icon-open
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/open.xpm")))

(setq mq::toolbar-icon-save
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/save.xpm")))

(setq mq::toolbar-icon-cut
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/cut.xpm")))

(setq mq::toolbar-icon-copy
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/copy.xpm")))

(setq mq::toolbar-icon-paste
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/paste.xpm")))

(setq mq::toolbar-icon-undo
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/undo.xpm")))


(setq mq::toolbar-icon-upcase
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/upcase.xpm")))

(setq mq::toolbar-icon-lowercase
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/lowcase.xpm")))

(setq mq::toolbar-icon-goto
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/goto.xpm")))

(setq mq::toolbar-icon-replace
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/replace.xpm")))

(setq mq::toolbar-icon-ispell
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/ispell.xpm")))



(setq mq::toolbar-icon-splitv
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/splitv.xpm")))

(setq mq::toolbar-icon-splith
  (if (featurep 'toolbar)
       (toolbar-make-button-list "~/.xemacs/icons/splith.xpm")))

(setq mq::toolbar-icon-keepthis
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/keepthis.xpm")))

(setq mq::toolbar-icon-keepother
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/keepother.xpm")))

(setq mq::toolbar-icon-killbuff
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/killbuff.xpm")))

(setq mq::toolbar-icon-mail
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/mail.xpm")))

(setq mq::toolbar-icon-info
  (if (featurep 'toolbar)
      (toolbar-make-button-list "~/.xemacs/icons/info.xpm")))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Define toolbar
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq mq::toolbar
  (if (featurep 'toolbar)
      '(
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[mq::toolbar-icon-open   toolbar-open  t  "Open file"]
[mq::toolbar-icon-save   toolbar-save  t  "Save buffer"]
  [:style 3D :size 3]
 [mq::toolbar-icon-splitv    split-window-vertically  t   "Split vertically"]
        
[mq::toolbar-icon-splith    split-window-horizontally   t  "Split horizontally"]
        
[mq::toolbar-icon-keepthis   delete-other-windows   t   "Unsplit (keep this)"]
          
 [mq::toolbar-icon-keepother  delete-window     t     "Unsplit (keep others)"]

 [mq::toolbar-icon-killbuff   kill-this-buffer    t   "Kill buffer"]
  [:style 3D :size 3]
[mq::toolbar-icon-cut   toolbar-cut  t  "Cut"]
[mq::toolbar-icon-copy   toolbar-copy  t  "Copy"]
[mq::toolbar-icon-paste   toolbar-paste  t  "Paste"]
[mq::toolbar-icon-undo   toolbar-undo  t  "Undo"]
  [:style 3D :size 3]

[mq::toolbar-icon-upcase    upcase-region   t  "Make uppercase"]
        
[mq::toolbar-icon-lowercase  downcase-region   t    "Make lowercase"]
       
[mq::toolbar-icon-goto  goto-line   t    "Go to line"]

[mq::toolbar-icon-replace   toolbar-replace  t  "Query replace"]
[mq::toolbar-icon-ispell   toolbar-ispell  t  "Check spelling"]
  [:style 3D :size 3]


nil
        
[mq::toolbar-icon-mail   toolbar-mail  t  "Mail"]
  [:style 3D :size 3]
[mq::toolbar-icon-info   toolbar-info  t  "Info document"]
;  [:style 3D :size 5] 

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;    Uncomment the above part if you have problem 
;;     accomodating them in the top toolbar
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;  [:style 3D :size 35] 

;[mq::toolbar-icon-macrob
;         start-kbd-macro
;         t
;         "Start Macro"]
;           
;[mq::toolbar-icon-macroe
;         end-kbd-macro
;         t
;         "End Macro"]
;
; [mq::toolbar-icon-macroc
;         call-last-kbd-macro
;         t
;         "Call Macro"]
;
;  [:style 3D :size 225]
;
; [mq::toolbar-icon-killbuff
;         kill-this-buffer
;         t
;         "Kill buffer"]

       )))
; Install toolbar

(setq width  (+ 4 (glyph-width (car mq::toolbar-icon-splitv))))
(setq height (+ 4 (glyph-height (car mq::toolbar-icon-splitv))))
(setq mq-toolbar-orientation 'top) ; Position: top, bottom, left, right
(setq locale 'global)

(cond 
      ;((eq mq-toolbar-orientation 'right)
      ;(setq mq-toolbar-specifier right-toolbar)
      ;(set-specifier right-toolbar (cons locale mq::toolbar))
      ;(set-specifier right-toolbar-width (cons (selected-frame) width)))
      ((eq mq-toolbar-orientation 'top)
      (setq mq-toolbar-specifier top-toolbar)
       (set-specifier top-toolbar (cons locale mq::toolbar))
    ;   (set-specifier top-toolbar-width (cons (selected-frame) width))
)
     )
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;   Custom TOOLBAR ENDS
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;